Skip to main content
GET
/
v1
/
exchange
/
stablefx
/
settlementAdvance
/
credit
Get settlement advance credit line
curl --request GET \
  --url https://api.circle.com/v1/exchange/stablefx/settlementAdvance/credit \
  --header 'Authorization: Bearer <token>'
{
  "status": "active",
  "limit": {
    "currency": "USDC",
    "amount": "<string>"
  },
  "usage": {
    "used": "<string>",
    "available": "<string>",
    "availableInCurrencies": {
      "USDC": "350000.00",
      "MXNB": "6020000.00"
    },
    "outstandingTransfers": 3,
    "floatingLimitApplied": false
  },
  "stableFxFeeInBps": "<string>",
  "createDate": "2023-01-01T12:04:05Z",
  "updateDate": "2023-01-01T12:04:05Z",
  "isRepaymentAllowed": true
}

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Response

Credit line view.

Settlement advance credit line view.

status
enum<string>
required

Credit line status.

Available options:
active
Example:

"active"

limit
object
required

Currency and amount for settlement advance flows.

usage
object
required

Credit line usage breakdown.

stableFxFeeInBps
string
required

Amount of currency, formatted as a string with up to six decimal places.

Pattern: ^\d+(?:\.\d{1,6})?$
createDate
string<date-time>
required

Date and time when the resource was created

Example:

"2023-01-01T12:04:05Z"

updateDate
string<date-time>
required

Date and time when the resource was last updated

Example:

"2023-01-01T12:04:05Z"

isRepaymentAllowed
boolean | null

Whether repayment is currently allowed on this credit line.